JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
URL::DownloadTaskListener Struct Referenceabstract
juce_core » network

Used to receive callbacks for download progress. More...

`#include <juce_URL.h>`

## Public Member Functions
virtual | ~DownloadTaskListener ()=default
virtual void | finished (DownloadTask *task, bool success)=0
| Called when the download has finished.
virtual void | progress (DownloadTask *task, int64 bytesDownloaded, int64 totalLength)
| Called periodically by the OS to indicate download progress.

## Detailed Description

Used to receive callbacks for download progress.

## Constructor & Destructor Documentation

## ◆ ~DownloadTaskListener()

virtual URL::DownloadTaskListener::~DownloadTaskListener | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ finished()

virtual void URL::DownloadTaskListener::finished | ( | DownloadTask * | task,
|  | bool | success )
| pure virtual

Called when the download has finished.

Be aware that this callback may come on an arbitrary thread.

## ◆ progress()

virtual void URL::DownloadTaskListener::progress | ( | DownloadTask * | task,
|  | int64 | bytesDownloaded,
|  | int64 | totalLength )
| virtual

Called periodically by the OS to indicate download progress.

Beware that this callback may come on an arbitrary thread.

The documentation for this struct was generated from the following file:

- juce_URL.h